const APP_NAME		    = "Habari Xenu News Aggregator";
const APP_CHROME_NAME	    = "habarixenu";
const APP_VERSION	    = "1.0.2";
const APP_FILE		    = "habarixenu.jar";
const APP_CONTENT_PATH	    = "content/";
const APP_SKIN_CLASSIC_PATH = "skin/";
const APP_LOCALE_ENUS_PATH  = "locale/en-US/";
const APP_LOCALE_BGBG_PATH  = "locale/bg-BG/";

logComment( "Installation started ..." );
var err = initInstall(APP_NAME, APP_CHROME_NAME, APP_VERSION); 
logComment("initInstall: " + err);

var chromeFolder = getFolder("Current User", "chrome");
logComment("getFolder() returned: " + chromeFolder);
setPackageFolder(chromeFolder);

addFile(APP_NAME, "chrome/" + APP_FILE, chromeFolder, "");

var jarFolder = getFolder(chromeFolder,APP_FILE);
logComment("jarFolder is " + jarFolder);

logComment("Beginning registration");
registerChrome(CONTENT | PROFILE_CHROME, jarFolder, APP_CONTENT_PATH);
logComment("Registered content");

registerChrome(SKIN | PROFILE_CHROME, jarFolder, APP_SKIN_CLASSIC_PATH);
logComment("Registered Skin");

registerChrome(LOCALE | PROFILE_CHROME, jarFolder, APP_LOCALE_ENUS_PATH);
logComment("Registered Locale en-US");

registerChrome(LOCALE | PROFILE_CHROME, jarFolder, APP_LOCALE_BGBG_PATH);
logComment("Registered Locale bg-BG");

var result = getLastError(); 
if(result == SUCCESS) {
    performInstall();
    alert("Finished Installation.  Please restart Mozilla and\nlaunch Habari Xenu from 'Tools -> Habari Xenu'.");
}else{
    alert("There was an error in installation:" + err);
    cancelInstall(result);
}
